
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>深入探讨C++父类子类中虚函数的应用_C 语言 / iVAN</title>

    <meta name="description" content="深入探讨C++父类子类中虚函数的应用_C 语言 构造函数不能是虚函数,因为在调用构造函数创建对象时,构造函数必须是确定的,所以构造函数不能是虚函数.析构函数可以是虚函数. 1.父类Father.h: 复制代码 代码如下: #pragma onceclass Father{public: Father(void); virtual ~Father(void); virtual int getCount();public: int count;}; Father.cpp 复制代码 代码如下: #include &quot;StdAfx.h&quo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">深入探讨C++父类子类中虚函数的应用_C 语言</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>构造函数不能是虚函数，因为在调用构造函数创建对象时，构造函数必须是确定的，所以构造函数不能是虚函数。<br />析构函数可以是虚函数。</p>
<p><strong>1.父类Father.h：<br /></strong><br />
<u>复制代码</u> 代码如下:</p>
<p>#pragma once<br />class Father<br />{<br />public:<br /> Father(void);<br /> virtual ~Father(void);<br /> virtual int getCount();<br />public:<br /> int count;<br />};</p>
<p>Father.cpp</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#include "StdAfx.h"<br />#include "Father.h"<br />#include &lt;iostream&gt;<br />using namespace std;<br />Father::Father(void)<br />{<br /> count = 1;<br /> cout&lt;&lt;"Father is called. count = "&lt;&lt;count&lt;&lt;endl;<br />}<br />Father::~Father(void)<br />{<br /> cout&lt;&lt;"~Father is called."&lt;&lt;endl;<br />}<br />int Father::getCount()<br />{<br /> cout&lt;&lt;"Father::getCount() count = "&lt;&lt;count&lt;&lt;endl;<br /> return count;<br />}</p>
<p><strong>2.子类Child.h：<br /></strong><br />
<u>复制代码</u> 代码如下:</p>
<p>#pragma once<br />#include "father.h"<br />class Child :<br /> public Father<br />{<br />public:<br /> Child(void);<br /> virtual ~Child(void);<br /> virtual int getCount();<br /> int getAge();<br />public:<br /> int age;<br />};</p>
<p>Child.cpp</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#include "StdAfx.h"<br />#include "Child.h"<br />#include &lt;iostream&gt;<br />using namespace std;<br />Child::Child(void)<br />{<br /> count = 2;<br /> age = 20;<br /> cout&lt;&lt;"Child is called. count = "&lt;&lt;count&lt;&lt;", age = "&lt;&lt;age&lt;&lt;endl;<br />}<br />Child::~Child(void)<br />{<br /> cout&lt;&lt;"~Child is called."&lt;&lt;endl;<br />}<br />int Child::getCount()<br />{<br /> cout&lt;&lt;"Child::getCount() count = "&lt;&lt;count&lt;&lt;endl;<br /> return count;<br />}<br />int Child::getAge()<br />{<br /> cout&lt;&lt;"Child::getAge() age = "&lt;&lt;age&lt;&lt;endl;<br /> return age;<br />}</p>
<p><strong>3.测试类Test.cpp<br /></strong><br />
<u>复制代码</u> 代码如下:</p>
<p>#include "stdafx.h"<br />#include  &lt;cstdlib&gt;<br />#include &lt;iostream&gt;<br />#include "Child.h"<br />using namespace std;<br />int _tmain(int argc, _TCHAR* argv[])<br />{<br /> Father *father1 = new Father();<br /> cout&lt;&lt;"father1 count = "&lt;&lt;father1-&gt;getCount()&lt;&lt;endl;<br /> delete father1;<br /> cout&lt;&lt;"************** father1 end *****************"&lt;&lt;endl&lt;&lt;endl;<br /> Father *father2 = new Child();<br /> cout&lt;&lt;"father2 count = "&lt;&lt;father2-&gt;getCount()&lt;&lt;endl; // father2 don't have getAge() method<br /> delete father2;<br /> cout&lt;&lt;"************** father2 end *****************"&lt;&lt;endl&lt;&lt;endl;<br /> Child *child = new Child();<br /> cout&lt;&lt;"child count = "&lt;&lt;child-&gt;getCount()&lt;&lt;endl;<br /> cout&lt;&lt;"child age = "&lt;&lt;child-&gt;getAge()&lt;&lt;endl;<br /> delete child;<br /> cout&lt;&lt;"************** child end *****************"&lt;&lt;endl&lt;&lt;endl;<br /> getchar();<br /> return 0;<br />}</p>
<p><strong>4.输出结果：<br /></strong>Father is called. count = 1<br />Father::getCount() count = 1<br />father1 count = 1<br />~Father is called.<br />************** father1 end *****************</p>
<p>Father is called. count = 1<br />Child is called. count = 2, age = 20<br />Child::getCount() count = 2<br />father2 count = 2<br />~Child is called.<br />~Father is called.<br />************** father2 end *****************</p>
<p>Father is called. count = 1<br />Child is called. count = 2, age = 20<br />Child::getCount() count = 2<br />child count = 2<br />Child::getAge() age = 20<br />child age = 20<br />~Child is called.<br />~Father is called.<br />************** child end *****************</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 02:48:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%99%9a%e5%87%bd%e6%95%b0/" title="虚函数">虚函数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>深入探讨C++父类子类中虚函数的应用_C 语言的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My21qZp.html" rel="bookmark">C&plus;&plus;中虚函数与纯虚函数的用法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文较为深入的分析了C++中虚函数与纯虚函数的用法,对于学习和掌握面向对象程序设计来说是至关重要的.具体内容如下: 首先,面向对象程序设计(object-oriented programming)的核心思想是数据抽象.继承.动态绑定.通过数据抽象,可以使类的接口与实现分离,使用继承,可以更容易地定义与其他类相似但不完全相同的新类,使用动态绑定,可以在一定程度上忽略相似类的区别,而以统一的方式使用它们的对象. 虚函数的作用是实现多态性(Polymorphism),多态性是将接口与实现进行分离,采用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj23V6b.html" rel="bookmark">深入解析C&plus;&plus;中的虚函数与多态&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.C++中的虚函数C++中的虚函数的作用主要是实现了多态的机制.关于多态,简而言之就是用父类型别的指针指向其子类的实例,然后通过父类的指针调用实际子类的成员函数.这种技术可以让父类的指针有&quot;多种形态&quot;,这是一种泛型技术.所谓泛型技术,说白了就是试图使用不变的代码来实现可变的算法.比如:模板技术,RTTI技术,虚函数技术,要么是试图做到在编译时决议,要么试图做到运行时决议. 对C++ 了解的人都应该知道虚函数(Virtual Function)是通过一张虚函数表(Virtual Tab			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkdNoM.html" rel="bookmark">深入解析C&plus;&plus;编程中的纯虚函数和抽象类&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++纯虚函数详解 有时在基类中将某一成员函数定为虚函数,并不是基类本身的要求,而是考虑到派生类的需要,在基类中预留了一个函数名,具体功能留给派生类根据需要去定义. 纯虚函数是在声明虚函数时被&quot;初始化&quot;为0的函数.声明纯虚函数的一般形式是 virtual 函数类型 函数名 (参数表列) = 0; 关于纯虚函数需要注意的几点: 纯虚函数没有函数体: 最后面的&quot;=0&quot;并不表示函数返回值为0,它只起形式上的作用,告诉编译系统&quot;这是纯虚函数&quot;; 这是一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7RPQp.html" rel="bookmark">解析C&plus;&plus;中虚析构函数的作用&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道,用C++开发的时候,用来做基类的类的析构函数一般都是虚函数.可是,为什么要这样做呢?下面用一个小例子来说明:    有下面的两个类: 复制代码 代码如下: class ClxBase{public:    ClxBase() {};    virtual ~ClxBase() {};    virtual void DoSomething() { cout &lt;&lt; &quot;Do something in class ClxBase!&quot; &lt;&lt; endl; };}			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Nkerp.html" rel="bookmark">C&plus;&plus;中strcpy函数的实现&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们先来看个例子 char * strcpy(char * strDest,const char * strSrc) { if ((NULL==strDest) || (NULL==strSrc)) throw &quot;Invalid argument(s)&quot;; char * strDestCopy = strDest; while ((*strDestCopy++ = *strSrc++) != '\0'); return strDest; } 突然想到之前做过的一个试题 题目:    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGr8y3p.html" rel="bookmark">浅析C&plus;&plus;中的函数与指针&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用函数指针变量调用函数 指针变量也可以指向一个函数.一个函数在编译时被分配给一个入口地址.这个函数入口地址就称为函数的指针.可以用一个指针变量指向函数,然后通过该指针变量调用此函数. 例 求a和b中的大者. 先按一般方法写程序: #include &lt;iostream&gt; using namespace std; int main() { int max(int x,int y); //函数声明 int a,b,m; cin&gt;&gt;a&gt;&gt;b; m=max(a,b); //调用函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zePW88p.html" rel="bookmark">浅析C&sol;C&plus;&plus;中sort函数的用法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sort是STL中提供的算法,头文件为#include&lt;algorithm&gt;以及using namespace std; 函数原型如下: template &lt;class RandomAccessIterator&gt; void sort ( RandomAccessIterator first, RandomAccessIterator last ); template &lt;class RandomAccessIterator, class Compare&gt; void sor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q2J7p.html" rel="bookmark">C&plus;&plus;中inline函数详解&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要记录了C++中的inline函数,也就是内联函数,主要记录了以下几个问题: 一.C++为什么引入inline函数? 主要目的:用它代替C语言中表达式形式的宏定义来解决程序中函数调用的效率问题. C语言中的宏定义:#define ExpressionName(var1,var2) (var1+var2)*(var1-var2)这种宏定义,它使用预处理器实现,没有了参数压栈.代码生成等一系列得到操作,因此效率很高.但缺点如下: 仅仅是做预处理器符号表中的简单替换,因此不能进行参数有效性的检测			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7OxXM.html" rel="bookmark">C&plus;&plus;中虚函数功能的实现机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  要理解C++中虚函数是如何工作的,需要回答四个问题. 1. 什么是虚函数. 虚函数由于必须是在类中声明的函数,因此又称为虚方法.所有以virtual修饰符开始的成员函数都成为虚方法.此时注意是virtual修饰的成员函数不是virtual修饰的成员函数名. 例如:基类中定义: virtual void show(); //由于有virtual修饰因此是虚函数 voidshow(int); //虽然和前面声明的show虚函数同名,但不是虚函数. 所有的虚函数地址都会放在所属类的虚函数表vtbl			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPlqpN.html" rel="bookmark" class="title">Photoshop制作春季草丛中梦想字体效果图</a>
					<div>
						  效果图: 简单两张素材 第一步 打开草丛素材,去掉水印,我直接用的污点修复画笔, 这个水印比较简单,不难去 第二步将草丛前面模糊的草抠出来,不用扣得太仔细,因为是模糊的,抠出个大体范围就好.如图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX01Wp.html" rel="bookmark" class="title">MFCC如何在实际应用中使用，有没有这样的应用案例</a>
					<div>
						问题描述 MFCC如何在实际应用中使用,有没有这样的应用案例 现在还是大学在校生做一个推荐音乐的软件但是一路困难重重,MFCC不知道如何运用					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvov9p.html" rel="bookmark" class="title">互联网职业生涯&colon;做互联网的基因</a>
					<div>
						文章描述:做互联网的基因. 观察到越来越多的人给自己打上了&quot;互联网产品&quot;标签,好似一夜之间冒出来了这么多搞产品的人.尤其那些&quot;SEO,UE,UI,UCD&quot;从业人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnvOZp.html" rel="bookmark" class="title">采用反射实现后期绑定操作EXCEL的简单代码&lpar;建议加入精华区&rpar;</a>
					<div>
						excel|精华 除了采用TblImp导入Excel object库实现Excel的调用外.其实还可以采用反射的方法获得属性,并进行后期绑定实现Excel的调用.下面是简单的调用EXCEL程序. us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKXRjp.html" rel="bookmark" class="title">UNIX环境高级编程：互斥量属性</a>
					<div>
						互斥量具有一些属性,通过修改这些属性可以控制锁的一些行为.缺省的互斥锁属性及其值如下: pshared:         PTHREAD_PROCESS_PRIVATE type:           ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ax1qp.html" rel="bookmark" class="title">ASP&period;NET JSON字符串与实体类的互转换的示例代码</a>
					<div>
						 本篇文章主要是对ASP.NET JSON字符串与实体类的互转换的示例代码进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 还是先封装一个类吧! 这个类网上都可以找到的!有个这个类,一切都将变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd74E6M.html" rel="bookmark" class="title">Excel2010如何清除文件打开记录？</a>
					<div>
						  1.点击工具栏的&quot;文件&quot;→&quot;选项&quot; 2.在Excel选项里选择&quot;高级&quot;接着下拉找到&quot;显示&quot;将&quot;显示此数目的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1ENob.html" rel="bookmark" class="title">为什么摄像头不能用</a>
					<div>
						摄像头不能用是不少网络朋友遇到比较多的一个问题,尤其是对于新手朋友更是经常碰到.摄像头不能用其实无非就是软件问题或硬件问题,只要了解其工作原理与故障排除方法,一般都可以解决问题.下面笔者根据不同原因导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYny2M.html" rel="bookmark" class="title">学会调节Windows 7的任务栏</a>
					<div>
						  很多人都说Windows 7只是基于Vista的改进,其实Windows 7还有很多自己独创之处,比如&quot;库&quot;功能,更方便的AERO特效等等.不过大部分人都认为,改进之后的任务栏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJQlnp.html" rel="bookmark" class="title">Windows 7激活状态无效或提示0&times;80070422错误怎么办</a>
					<div>
						  Windows 7激活状态无效或提示0×80070422错误怎么办?很多时候,当用户在使用电脑时,发现Windows 7在系统属性中显示系统激活状态,但是Windows可能显示错误信息说激活状态无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYPloM.html" rel="bookmark" class="title">Win7中的&OpenCurlyDoubleQuote;问题步骤&rdquo;记录器如何使用</a>
					<div>
						  如果你想向别人描述一个问题,却又难以具体说明,那么隐藏在Windows7中的&quot;问题步骤&quot;记录器可以帮助你解决这一问题.他会记录整个操作过程中的步骤,十分详细. 1.运行psr. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOla5xb.html" rel="bookmark" class="title">我需要多大马力？（自MS）--IIS的配置需求</a>
					<div>
						大多数人会这样回答&quot;哦,这得视情况而定&quot;.但是新闻组的撰稿人 Zach Russell 则不会这样答复!因为幸运的是,Zach 对此话题有更多的见解,下面是他的一些建议(不过请注意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrGZaM.html" rel="bookmark" class="title">百度地图-在android开发中使用百度LBS定位服务无法稳定准确获得地理位置</a>
					<div>
						问题描述 在android开发中使用百度LBS定位服务无法稳定准确获得地理位置 程序代码如下所示,我是仿照网上的实例编写的,在manifests文件中已经添加了识别码以及百度定位的service,权限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqADN2M.html" rel="bookmark" class="title">开源KVM管理工具介绍</a>
					<div>
						在之前的文章中,我们介绍了开源虚拟化平台KVM的概念与工作原理.下面我们来看看KVM的获取方式与管理工具. 两种方式获取KVM 购买Linux版本获得KVM.很多Linux发行版本都内置有KVM,包括 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoX97b.html" rel="bookmark" class="title">java 备份oracle数据表</a>
					<div>
						问题描述 用户提出需求,按某个按钮就可以备份归档数据库中的表,现在用java实现,用的是oracle数据库大家以前有没有遇到这方面的问题,有什么好的建议啊,在这里感谢了 解决方案 解决方案二:归档模式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R47Bb.html" rel="bookmark" class="title">DataStax引入图形DB Titan何去何从？</a>
					<div>
						DataStax正式引入一款Cassandra NoSQL数据库引擎和一款图形DB,它们将致力于促进这些软件在应用程序跨越事务处理和实时分析中的使用. 该公司的新产品采用了DataStax Enter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmNx9M.html" rel="bookmark" class="title">54260683 java web 高级交流群。欢迎大家加入</a>
					<div>
						问题描述 54260683javaweb高级交流群.欢迎大家加入 解决方案 解决方案二:OK,现在来加.解决方案三:up..解决方案四:该回复于2009-08-15 14:45:55被版主删除解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBnw8b.html" rel="bookmark" class="title">浅析世界经济的产业链中三大类企业</a>
					<div>
						在世界经济的产业链中,有一类企业声名显赫如苹果,有一类企业鲜为人知如高通,还有一类企业特立独行如甲骨文. 其中,苹果无疑是受到褒奖最多的.在这个消费至上的年代,谁控制了人们的眼球,谁就掌握了商业的核心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xL4kb.html" rel="bookmark" class="title">关于php  head函数跳转</a>
					<div>
						问题描述 &lt;?header(&quot;location:http://www.abc.com/404.html&quot;);?&gt;服务器能跳转.但是这段代码加一东西,在本地测试可以成功跳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x7Zvb.html" rel="bookmark" class="title">wpf 将文件群分组，用listview加载文件和图片，但是还是有内存消耗问题</a>
					<div>
						问题描述 我用listview模拟文件浏览界面,最后由于加载量过大而内存消耗量的问题,最后改成&quot;将文件夹中便利的文件路径进行分组,一组是一个集合,每组有二十个文件路径,每次加载二十个文件,& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7E4Rz.html" rel="bookmark" class="title">php变量定义问题&lpar;新手&rpar;</a>
					<div>
						问题描述 php变量定义问题(新手) PHP中的变量什么时候需要用大括号{}括起来什么时候不用.. 解决方案 http://zhidao.baidu.com/link?url=NnIBt4P-2aSX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBo4az.html" rel="bookmark" class="title">html-EXT JS tabpanel打开重复</a>
					<div>
						问题描述 EXT JS tabpanel打开重复 &lt;script type=&quot;text/javascript&quot;&gt; function addTab(href){ var  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB5m4z.html" rel="bookmark" class="title">创建ArcGIS API for JavaScript的第一个示例程序</a>
					<div>
						原文:创建ArcGIS API for JavaScript的第一个示例程序     在上一篇博客中已经介绍了如何搭建ArcGIS API for JavaScript开发环境,如果您还没有搭建好开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmBvqp.html" rel="bookmark" class="title">《纽约时报》前副主编出任雅虎新闻总编辑</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前&lt;纽约时报&gt;副主编梅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnnrkp.html" rel="bookmark" class="title">jQuery入门介绍之基础知识&lowbar;jquery</a>
					<div>
						JavaScript 库作用及对比 为了简化JavaScript 的开发, 一些 JavsScript 库诞生了. JavaScript 库封装了很多预定义的对象和实用函数.能帮助使用者建立有高难度交 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWvwJz.html" rel="bookmark" class="title">iOS实现滚动字幕的动画特效&lowbar;IOS</a>
					<div>
						效果图 开始上代码 滚动字幕的原理是用timer定时器间隔一定的时间来驱动scrollView上的内容偏移,来实现滚动的效果,原理比较简单,关键是有些细节需要处理好,实现流畅效果的同时要考虑到性能优化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkJGez.html" rel="bookmark" class="title">android 开发-手机软件主页动态变化</a>
					<div>
						问题描述 手机软件主页动态变化 手机淘宝的主页内容可以经常变化,这个是什么原理啊,比如夏季就主页显示是夏季服装,冬季就显示冬季服装 解决方案 这个是根据后台返回的数据进行变化的. 解决方案二: 全部接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOXV2b.html" rel="bookmark" class="title">spark部署问题</a>
					<div>
						问题描述 场景:三个sparkstreaming作业(暂且叫a.b.c),作业a接收来自kafka的原始日志,处理后,再用两个不同的topic发到kafka,作业b和作业c分别从kafka接收这两个不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV725Kb.html" rel="bookmark" class="title">Atmel开发出面向下一代物联网、工业和汽车应用</a>
					<div>
						近日,全球微控制器和触摸解决方案的领导者Atmel公司 (NASDAQ:ATML)在 ARM 2014技术大会上宣布, Atmel已开发出新系列 Atmel | SMART ARM Cortex-M7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdnndz.html" rel="bookmark" class="title">如何满足二级数据服务之需</a>
					<div>
						     所有大公司都使用二级数据服务,例如针对灾备和归档的数据保护程序.复制数据管理(CDM)也是很多大公司的选择,用以实现一个&quot;黄金&quot;副本支持多个二级数据服务用例,例如应用开发 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
